return {
	"lervag/vimtex",
	lazy = false,
	init = function()
		local wk = require("which-key")

		vim.g.vimtex_view_method = "zathura"
		vim.g.vimtex_quickfix_mode = 0
		vim.g.vimtex_compiler_latexmk_engines = {
			_ = "-lualatex",
		}
		vim.g.vimtex_fold_enabled = true
		vim.g.vimtex_format_enabled = true

		wk.add({
			{ "<leader>v", group = "vimtex", icon = "" },
			{ "<leader>vc", "<cmd>VimtexCompile<CR>", desc = "Compile LaTeX File", icon = "" },
			{ "<leader>vC", "<cmd>VimtexClean<CR>", desc = "Clean LaTeX directory", icon = "" },
		})
	end,
}
